#ifndef MODEL_VIEWER_H
#define MODEL_VIEWER_H


#include "./renderer/GLphongRender.h"
#include "./camera/Viewer.h"
#include "./illumination/Light.h"


#include <cassert>

using namespace GEOMETRY;
using namespace ANALYTICAL_GEOMETRY;


///Viewer which can work with Model data.
class ModelViewer : public BasicViewer
{
public:
	virtual void renderModel( GLPhongRender &render, vector<Light*> &lights, Model &model );
	virtual void renderModels( GLPhongRender &render, vector<Light*> &lights, vector<Model*> &models );
	ModelViewer( void );
};

#endif